%global srcname gfire

Name:		pidgin-gfire
Version:	0.8.3
Release:	1%{?dist}
Summary:	Xfire plugin for Pidgin

Group:		Applications/Communications
License:	GPLv3+
URL:		http://www.gfireproject.org/
Source0:	http://downloads.sourceforge.net/%{srcname}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	pidgin-devel
Requires:	pidgin
Requires:	libpurple

%description
Gfire is an open source plugin for the Pidgin IM client
which allows you to connect the Xfire network.

Features:
	* Friend's list
	* Add & Remove friends
	* View friend's current game (games list updated weekly)
	* View friend's profiles
	* Join friend's server
	* Detects games and logs game time
	* Set your status as "Away from Keyboard (AFK)"
	* Set custom status

%prep
%setup -q 
chmod 0644 AUTHORS ChangeLog COPYING NEWS README
chmod 0644 src/*.c src/*.h
chmod 0644 gfire_config.h
chmod 0644 pixmaps/*/%{srcname}.png

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install INSTALL="install -p" DESTDIR=%{buildroot} 

find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Remove the shebang from the server detection script
sed -i -e '/#\!/d' %{buildroot}/%{_datadir}/purple/%{srcname}/scripts/server_detection/4097.py 

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/purple-2/*.so
%{_datadir}/pixmaps/pidgin/protocols/*/%{srcname}.png
%{_datadir}/purple/%{srcname}/

%changelog
* Mon Sep 7 2009 Andreas Osowski <th0br0@mkdir.name> - 0.8.3-1
- Updated to version 0.8.3
- Changes to Source0 due to new upstream file naming

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 12 2009 Andreas Osowski <th0br0@mkdir.name> - 0.8.2-1
- Updated to version 0.8.2

* Wed May 21 2009 Andreas Osowski <th0br0@mkdir.name> - 0.8.1-3
- Added Requires: libpurple
- Changed the files entry for the pixmaps

* Wed May 20 2009 Andreas Osowski <th0br0@mkdir.name> - 0.8.1-2
- Renamed back to pidgin-gfire
- Added comment for the sed command
- Fixed file/dir ownership 
- Changed license to GPLv3+ according to upstream license change

* Wed May 20 2009 Andreas Osowski <th0br0@mkdir.name> - 0.8.1-1
- New upstream version

* Sat Mar 28 2009 Andreas Osowski <th0br0@mkdir.name> - 0.7.1-2
- Renamed to purple-gfire
- Fixed indentation
- Changed description

* Fri Mar 27 2009 Andreas Osowski <th0br0@mkdir.name> - 0.7.1-1
- Initial package build
